EUSE(1)

NAME
euse - Gentoo: command line USE flag editor

SYNOPSIS
euse <option> [suboption] [useflaglist]

DESCRIPTION

euse is used to set(disable/enable) USE flags in make.conf without having to edit the file directly. It is also used to get detail information about use flags like description, status of flags(enabled/disabled), type of flag(global/local) etc.

OPTIONS

-E, --enable
    Enables USE flag(s) in make.conf. It accepts one or more space separated USE flags as parameters.

-D, --disable
    Disables USE flag(s) in make.conf. Puts a '-' sign in front of the USE flag and appends it to the USE setting in make.conf. It accepts one or more space separated USE flags as parameters.

-P, --prune
    Removes USE flag(s) in make.conf. Removes all positive and negative references to the given USE flags from make.conf.

-i, --info
    Prints detail information about the USE flag(s). If no arguments are given then it assumes you want information for all USE flags. If one or more arguments are given (space separated) then only information for those flags is printed.

-I, --info-installed
    Same as --info, except that it will also list the currently installed packages that are utilizing the flag.

    The output is in the following format:
    [- cD ] alpha - indicates that architecture ...
    [- ] moznocompose (net-www/mozilla):
    Disable building of mozilla's web page composer
    The indicators in the first column are:

    is_active
        + if the flag is seen as active by portage, - if not

    is_in_env
        E if the flag is enabled in the environment, e if it is disabled in the environment, nothing if it's not affected by the environment

    is_in_make_conf
        C if the flag is enabled in make.conf, c if it is disabled in make.conf, nothing if it's not affected by make.conf

    is_in_make_defaults
        D if the flag is enabled in make.defaults, d if it is disabled in make.defaults, nothing if it's not affected by make.defaults

    is_in_make_globals
        G if the flag is enabled in make.globals, g if it is disabled in make.globals, nothing if it's not affected by make.globals
        Then follows the name of the flag, for local flags the package name and then the description (on a new line for local flags).

-a, --active
    Shows all currently active USE flags and where they are activated (see description for --info).

-h, --help
    Show the help message listing all the available flags and a short description

-v, --version
    Show the version information

FILES
/etc/make.conf and/or /etc/portage/make.conf
/etc/make.profile/make.defaults
/etc/make.globals
$PORTDIR/profiles/use.desc
$PORTDIR/profiles/use.local.desc

AUTHOR
Original version by Arun Bhanu <codebear@gentoo.org>
Updated for rewritten euse by Marius Mauch <genone@gentoo.org> Sigificant rewrite for package.use support by Jared Hancock

BUGS
euse doesn't handle USE flags enabled or disabled by use.defaults, use.mask or package.use yet. It also doesn't completely understand the -* flag.

SEE ALSO
ufed(8),

The /usr/bin/euse script.